using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using _1_Model;
using Telerik.OpenAccess; 

namespace _5A_WCFService
{
  [ServiceContract]
  public interface IService1
  {
    [OperationContract]
    List<Category> GetCategories();

    [OperationContract]
    List<Product> GetProducts(int categoryID);

    [OperationContract]
    ObjectContainer.ChangeSet GetProductsByCategory(int categoryID);

    [OperationContract]
    ObjectContainer.ChangeSet UpdateProducts(ObjectContainer.ChangeSet changeSet);
  }
}
